blank	[ \t\n]+
text	[^"\n]*
name	[A-Za-z][A-Za-z0-9]*
type	OBJECT{blank}IDENTIFIER|OBJECT-TYPE|MODULE{blank}IDENTITY

	int num, pres;
	FILE *tree, *desc;

%x 	beg1 beg2

%%
BEGIN						{ BEGIN beg1;
						}
<beg1>{name}/{blank}{type}			{ ECHO;
						  putchar('\t');
						}
<beg1>DESCRIPTION\n				{ BEGIN beg2;
						  num++;
						  pres = 1;
						  fprintf(yyout,"%d\t",num);
						}
<beg2>{blank}{text}\"				{ ECHO;
						  putchar('\n');
						  BEGIN beg1;
						}
<beg2>{blank}{text}				{ ECHO;
						}
<beg2>{text}
<beg1>::={blank}\{.*$				{ ECHO;
						  if (pres) {
						  	fprintf("\t%d",num);
						  	pres = 0;
						  }
						  putchar('\n');
						}
<beg1>END					{ yyterminate();
						}
--.*$
\n
.

%%
main(argc,argv)
int argc;
char *argv[];
{	FILE *tree, *desc;
	pres = 0;
	tree = fopen("tree","w");
	desc = fopen("desc","w");
	yylex();
	fclose(tree);
	fclose(desc);
}
